{{- /*
SPDX-License-Identifier: EUPL-1.2
*/}}

{{- range $type, $range := (dict "station" .Values.stations "worker" .Values.workers ) }}
{{- range $name, $entity := $range }}
{{- $serviceAccount := default $.Values.serviceAccount .serviceAccount }}
{{- $commonLabels := default $.Values.commonLabels .commonLabels }}
{{- $commonAnnotations := default $.Values.commonAnnotations .commonAnnotations }}

{{- if $serviceAccount.create }}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ template "kimi.serviceAccountName" (dict "value" $serviceAccount "type" $type "name" $name "context" $ ) }}
  namespace: {{ include "common.names.namespace" $ | quote }}
  labels: {{- include "common.labels.standard" (dict "customLabels" $commonLabels "context" $) | nindent 4 }}
  {{- if or $serviceAccount.annotations $commonAnnotations }}
  {{- $annotations := include "common.tplvalues.merge" ( dict "values" ( list $serviceAccount.annotations $commonAnnotations ) "context" $ ) }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" $annotations "context" $) | nindent 4 }}
  {{- end }}
automountServiceAccountToken: {{ $serviceAccount.automountServiceAccountToken }}
---
{{- end }}
{{- end }}
{{- end }}
